Bug 1074036 - [Build 20171222] openQA test fails in java
[Build 20171222] openQA test fails in java
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Java
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
http://openqa.opensuse.org/tests/5678...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-23 11:16 UTC by Dominique Leuenberger
Modified: 2018-01-09 17:14 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2017-12-23 11:16:55 UTC
## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-extra_tests_in_textmode@64bit fails in
[java](http://openqa.opensuse.org/tests/567896/modules/java/steps/16)


## Reproducible

Fails since (at least) Build [20170428](http://openqa.opensuse.org/tests/395051)


## Expected result

Last good: (unknown) (or more recent)


## Further details

Always latest result in this scenario: [latest](http://openqa.opensuse.org/tests/latest?test=extra_tests_in_textmode&flavor=DVD&distri=opensuse&machine=64bit&version=Tumbleweed&arch=x86_64)


JDK-10 version is apparently no longer parsable by the test script, resulting in a test confusion
Comment 1 Panagiotis Georgiadis 2017-12-26 21:33:55 UTC
Thanks for the bug. I will look into into it.
Comment 2 Dominique Leuenberger 2018-01-07 21:40:28 UTC
The libgda build failure is very likely a different manifestation of this bug
Comment 3 Panagiotis Georgiadis 2018-01-09 13:33:15 UTC
This is what happens in TW:

openjdk version "1.8.0_151"
javac            1.8.0_151

openjdk version "9.0.1"
javac            9.0.1

openjdk version "10-internal" 2018-03-20
javac            10-internal


As you can see, the version consistency in java-10 is problematic. What is this date next to the version? The script detects that and fails.
Comment 4 Dominique Leuenberger 2018-01-09 13:37:47 UTC
(In reply to Panagiotis Georgiadis from comment #3)
> This is what happens in TW:
> 
> openjdk version "1.8.0_151"
> javac            1.8.0_151
> 
> openjdk version "9.0.1"
> javac            9.0.1
> 
> openjdk version "10-internal" 2018-03-20
> javac            10-internal
> 
> 
> As you can see, the version consistency in java-10 is problematic. What is
> this date next to the version? The script detects that and fails.

This is the formal release date of JDK 10 - and will be there from now until eternity (or until upstream decides to change the output of the -version string)

https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/4162
Comment 5 Panagiotis Georgiadis 2018-01-09 13:42:32 UTC
(In reply to Dominique Leuenberger from comment #4)
> This is the formal release date of JDK 10 - and will be there from now until
> eternity (or until upstream decides to change the output of the -version
> string)
> 
> https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/4162

I see. Thanks for the info. Ok, then I will modify the test accordingly to expect this.
Comment 6 Dominique Leuenberger 2018-01-09 13:48:48 UTC
(In reply to Panagiotis Georgiadis from comment #5)

> > https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/4162
> 
> I see. Thanks for the info. Ok, then I will modify the test accordingly to
> expect this.

Just making sure: you'd noticed the pullrequest that does take care of it, right?
Comment 7 Dominique Leuenberger 2018-01-09 17:14:54 UTC
PR merged, test passed:
https://openqa.opensuse.org/tests/578308#step/java/14